#
# spec file for package lirc (Version 0.6.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         lirc
Copyright:    GPL
Group:        Utilities/System
#Requires:     xforms
Autoreqprov:  on
Version:      0.6.4
Release:      43
Summary:      tools for infrared receivers
Source: lirc-0.6.4.tar.bz2
Source1: Makefile.module
Source2: remotes.tar.bz2
Patch:  lirc-0.6.4.dif
BuildRoot:  %{_tmppath}/%{name}-root

%description
LIRC is a package that supports receiving and sending IR signals of the most
common IR remote controls. It contains a daemon that decodes and sends IR
signals, a mouse daemon that translates IR signals to mouse movements, and a
couple of user programs that allow to control your computer with a remote
control.

SuSE series: ap

%package -n km_lirc
Summary:      INTERNAL USE ONLY
Group:		System Environment/Kernel

%description -n km_lirc
INTERNAL USE ONLY

SuSE series: suse

%prep
%setup -a 2
%patch -p1

%build
%{?suse_update_config:%{suse_update_config -fl}}
./configure --with-driver=any --prefix=/usr --sysconfdir=/etc --with-port=0x3f8 --with-irq=4
make -C daemons
make -C tools
make -C doc

%install
rm -Rf $RPM_BUILD_ROOT
install -d -m 755 ${RPM_BUILD_ROOT}/usr/src/kernel-modules
install -d -m 755 ${RPM_BUILD_ROOT}/dev
cp -a . ${RPM_BUILD_ROOT}/usr/src/kernel-modules/lirc
install -m 644 $RPM_SOURCE_DIR/Makefile.module ${RPM_BUILD_ROOT}/usr/src/kernel-modules/lirc
make -C daemons DESTDIR=${RPM_BUILD_ROOT} install
make -C tools DESTDIR=${RPM_BUILD_ROOT} install
make -C doc DESTDIR=${RPM_BUILD_ROOT} install
mknod ${RPM_BUILD_ROOT}/dev/lirc c 61 0

%files
%defattr (-,root,root)
%doc ANNOUNCE AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc doc/[a-z]* contrib remotes
%dir /usr/include/lirc
/usr/include/lirc/lirc_client.h
/dev/lirc
/dev/lircd
/dev/lircm
/usr/bin/irexec
/usr/bin/irpty
/usr/bin/irrecord
/usr/bin/irw
/usr/bin/irxevent
/usr/bin/mode2
/usr/bin/xmode2
/usr/lib/liblirc_client.a
/usr/lib/liblirc_client.la
/usr/lib/liblirc_client.so
/usr/lib/liblirc_client.so.0
/usr/lib/liblirc_client.so.0.0.0
/usr/sbin/lircd
/usr/sbin/lircmd

%files -n km_lirc
/usr/src/kernel-modules/lirc

%changelog -n lirc
* Tue Sep 04 2001 - uli@suse.de
- added remotes tarball from lirc.org containing configs for a few
  hundred remote controls
* Tue Aug 21 2001 - lnussel@suse.de
- new version 0.6.4 (bugfix release)
- cleaned up spec file, now uses buildroot
- added example config files for remotes to %%doc
- re-enabled parallel port driver
- changed --with-driver=none to =any to make lircd actually use
  remote hardware instead of switching into network only mode
  (fixes Bug #9655)
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
* Wed May 09 2001 - uli@suse.de
- building lirc_dev module in Makefile.module (reqd. by lirc_i2c)
* Thu Apr 26 2001 - uli@suse.de
- fixed Makefile.module, configure call for building with
  "--with-driver=none"
- disabled parport module (no go with 2.4.3)
* Thu Apr 05 2001 - uli@suse.de
- kernel sources not needed any more
* Mon Mar 19 2001 - uli@suse.de
- building lirc_i2c module in Makefile.module
* Mon Mar 19 2001 - uli@suse.de
- update -> 0.6.3 final
- added suse_update_config before configure (fixes IA64)
- disabled useless building of drivers
- fixed building of shared libs
* Thu Feb 22 2001 - uli@suse.de
- added -I/usr/src/linux/include to kernel module Makefiles
* Wed Feb 07 2001 - uli@suse.de
- added lx_suse to neededforbuild
* Fri Jan 12 2001 - uli@suse.de
- update -> 0.6.3pre3 (needed for kernels 2.2.18 and 2.4.0)
* Tue Oct 10 2000 - ro@suse.de
- fixed oldconfig
* Mon Oct 09 2000 - kukuk@suse.de
- Use default values for make oldconfig
* Fri Sep 15 2000 - uli@suse.de
- fixed location of config file (/usr/etc -> /etc)
* Fri Sep 15 2000 - uli@suse.de
- fixed Makefile.module
* Wed Sep 13 2000 - uli@suse.de
- initial package
